Return workspace properties

Return workspace properties#

Description#

Returns properties for a workspace with the provided ID, or a 404 if no such workspace is found.

GET /v1/metadata/workspace/{workspace_id}

Parameters#

Parameter

In

Type

Required

Description

workspace_id

path

string

true

The ID of the Workspace.

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/workspace/{workspace_id} \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/workspace/{workspace_id} \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/workspace/{workspace_id}" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/workspace/{workspace_id}', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a WorkspaceResponse containing the Workspace object that matches the provided workspace_id.

Example Responses#

{
  "data": {
    "id": "1",
    "company_id": "140",
    "external_id": "2",
    "name": "Workspace A",
    "description": "Primary workspace for operations",
    "variables": [
      {
        "key": "workspace1",
        "label": "Workspace1",
        "defaultValue": "",
        "value": null,
        "encrypted": true
      }
    ]
  }
}